Callback
The callback endpoint that gets the OAuth2 authorization code grant response.
Args: response: The response object tokens: The authorization state token, ID token and access token user_manager: The User Manager to use invitation_manager: The Invitation Manager to use
Returns: An OAuth2 login response with the JWT session token.
Raises: AuthorizationException: If the user could not be authenticated.
Query parameters
codestring · nullableOptional
code_verifierstring · nullableOptional
statestring · nullableOptional
errorstring · nullableOptional
Responses
200
Successful Response
application/json
OAuth 2.0 login response.
access_tokenstringRequired
expires_inintegerRequired
token_typestringOptionalDefault:
bearerdevice_idstring · nullableOptional
422
Validation Error
application/json
get/auth/callback
GET /auth/callback HTTP/1.1
Accept: */*
{
"access_token": "text",
"expires_in": 1,
"token_type": "bearer",
"device_id": "text",
"device_metadata": {
"ANY_ADDITIONAL_PROPERTY": "anything"
}
}Last updated
Was this helpful?